@ECHO OFF
SETLOCAL

SET PROG=tclsh ..\poApps.tcl
IF NOT "%1"=="" SET PROG=%1

SET OPT=--imgview --nosaveonexit --config ConfigDir
SET IMG=testIn\byte-1chan-bu.raw

@ECHO ON
CALL %PROG% %OPT% %IMG% --version
CALL %PROG% %OPT% %IMG% --help
CALL %PROG% %OPT% %IMG% --helpimg
CALL %PROG% %OPT% %IMG% --helpfile
CALL %PROG% %OPT% %IMG% --helpall

CALL %PROG% %OPT% %IMG% --countcolors
CALL %PROG% %OPT% %IMG% --countcolors --verbose

CALL %PROG% %OPT% %IMG% --histogram
CALL %PROG% %OPT% %IMG% --rawinfo
